export 'package:flutter/material.dart';
export 'package:get/get.dart';
export 'package:mad_sal/core/class/status_request.dart';
export 'package:mad_sal/core/constants/app_name_routes.dart';
export 'package:mad_sal/core/data/datasourse/remote/auth/register_patient_data.dart';
export 'package:mad_sal/core/data/models/user_model.dart';
export 'package:flutter/services.dart';
export 'package:mad_sal/controller/auth/check_email_controller.dart';
export 'package:mad_sal/core/constants/app_images.dart';
export 'package:mad_sal/view/auth/check_email/widgets/check_email_button.dart';
export 'package:mad_sal/view/auth/register_provider/widgets/register_provider_forms.dart';
export 'package:mad_sal/view/auth/register_provider/widgets/register_provider_bank_sheet_style.dart';
export 'package:mad_sal/view/auth/register_provider/widgets/register_provider_bank_sheet_forms.dart';
export 'package:mad_sal/core/data/datasourse/remote/auth/register_provider_data.dart';
export 'package:mad_sal/core/data/models/user_provider_model.dart';
export 'package:mad_sal/core/shared/custom_snackbar.dart';
export 'package:file_picker/file_picker.dart';
export 'package:mad_sal/core/functions/handling_data_controller.dart';
export 'package:mad_sal/core/services/my_services.dart';
export 'package:flutter_screenutil/flutter_screenutil.dart';
export 'package:mad_sal/core/constants/app_colors.dart';
export 'package:mad_sal/view/auth/register_patient/widgets/register_patient_join_button.dart';
export 'package:mad_sal/view/auth/register_patient/widgets/register_patient_join_title.dart';
export 'package:mad_sal/controller/auth/register_patient_controller.dart';
export 'package:mad_sal/core/shared/custom_auth_appbar.dart';
export 'package:mad_sal/view/auth/register_patient/widgets/register_patient_join.dart';
export 'package:mad_sal/view/auth/register_patient/widgets/register_patient_basic.dart';
export 'package:mad_sal/core/constants/app_sizes.dart';
export 'package:mad_sal/core/shared/custom_button.dart';
export 'package:flutter_svg/flutter_svg.dart';
export 'package:mad_sal/core/constants/app_icons.dart';
export 'package:mad_sal/core/functions/fields_validators.dart';
export 'package:mad_sal/core/shared/custom_text_field.dart';
export 'package:mad_sal/core/shared/custom_vertical_sized_box.dart';
export 'package:mad_sal/view/auth/register_patient/widgets/register_patient_button.dart';
export 'package:mad_sal/view/auth/register_patient/widgets/register_patient_forms.dart';
export 'package:flutter_svg/svg.dart';
export 'package:mad_sal/controller/auth/register_provider_controller.dart';
export 'package:mad_sal/view/auth/register_provider/widgets/register_provider_bank_sheet.dart';
export 'package:mad_sal/view/auth/register_provider/widgets/register_provider_button.dart';
export 'package:mad_sal/view/auth/register_provider/widgets/register_provider_title_file.dart';
export 'package:mad_sal/view/auth/register_provider/widgets/register_provider_upload_file.dart';
export 'package:mad_sal/my_app.dart';
export 'package:mad_sal/core/constants/app_theme.dart';
export 'package:mad_sal/core/localization/change_local.dart';
export 'package:mad_sal/core/localization/translation.dart';
export 'package:mad_sal/router/bindings/crud_binding.dart';
export 'package:mad_sal/router/router.dart';
export 'package:mad_sal/view/auth/register_provider/widgets/register_provider_basic.dart';
export 'package:mad_sal/view/auth/widgets/resend_button.dart';
export 'package:mad_sal/controller/auth/verification_code_controller.dart';
export 'package:mad_sal/view/auth/verify_code/widgets/verify_code_basic.dart';
export 'package:mad_sal/view/auth/verify_code/widgets/verify_code_question_receive_code.dart';
export 'package:mad_sal/view/auth/verify_code/widgets/verify_code_title.dart';
export 'package:mad_sal/view/auth/verify_code/widgets/verify_code_botton.dart';
export 'package:mad_sal/controller/auth/login_controller.dart';
export 'package:mad_sal/view/auth/login/widgets/login_basic_widget.dart';
export 'package:mad_sal/view/auth/login/widgets/login_create_account.dart';
export 'package:mad_sal/view/auth/login/widgets/login_bottom.dart';
export 'package:mad_sal/view/auth/login/widgets/login_forgot_password.dart';
export 'package:mad_sal/core/shared/custom_dialog.dart';